Package com.mapd.thrift.server

## Class TDatabasePermissions

- java.lang.Object
- - com.mapd.thrift.server.TDatabasePermissions

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDatabasePermissions>`, `org.apache.thrift.TBase<TDatabasePermissions,​TDatabasePermissions._Fields>`, `org.apache.thrift.TSerializable`

    public class TDatabasePermissions
    extends Object
    implements org.apache.thrift.TBase<TDatabasePermissions,​TDatabasePermissions._Fields>, Serializable, Cloneable, Comparable<TDatabasePermissions>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDatabasePermissions._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `access_`
`boolean` `create_`
`boolean` `delete_`
`static Map<TDatabasePermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `view_sql_editor_`

### Constructor Summary

Constructors
`TDatabasePermissions()`
`TDatabasePermissions​(boolean create_, boolean delete_, boolean view_sql_editor_, boolean access_)`
`TDatabasePermissions​(TDatabasePermissions other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TDatabasePermissions other)`
`TDatabasePermissions` `deepCopy()`
`boolean` `equals​(TDatabasePermissions that)`
`boolean` `equals​(Object that)`
`TDatabasePermissions._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TDatabasePermissions._Fields field)`
`int` `hashCode()`
`boolean` `isAccess_()`
`boolean` `isCreate_()`
`boolean` `isDelete_()`
`boolean` `isSet​(TDatabasePermissions._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetAccess_()` Returns true if field access_ is set (has been assigned a value) and false otherwise
`boolean` `isSetCreate_()` Returns true if field create_ is set (has been assigned a value) and false otherwise
`boolean` `isSetDelete_()` Returns true if field delete_ is set (has been assigned a value) and false otherwise
`boolean` `isSetView_sql_editor_()` Returns true if field view_sql_editor_ is set (has been assigned a value) and false otherwise
`boolean` `isView_sql_editor_()`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDatabasePermissions` `setAccess_​(boolean access_)`
`void` `setAccess_IsSet​(boolean value)`
`TDatabasePermissions` `setCreate_​(boolean create_)`
`void` `setCreate_IsSet​(boolean value)`
`TDatabasePermissions` `setDelete_​(boolean delete_)`
`void` `setDelete_IsSet​(boolean value)`
`void` `setFieldValue​(TDatabasePermissions._Fields field, Object value)`
`TDatabasePermissions` `setView_sql_editor_​(boolean view_sql_editor_)`
`void` `setView_sql_editor_IsSet​(boolean value)`
`String` `toString()`
`void` `unsetAccess_()`
`void` `unsetCreate_()`
`void` `unsetDelete_()`
`void` `unsetView_sql_editor_()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### create_

    public boolean create_

#### delete_

    public boolean delete_

#### view_sql_editor_

    public boolean view_sql_editor_

#### access_

    public boolean access_

#### metaDataMap

    public static final Map<TDatabasePermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDatabasePermissions

    public TDatabasePermissions()

#### TDatabasePermissions

    public TDatabasePermissions​(boolean create_,
                                boolean delete_,
                                boolean view_sql_editor_,
                                boolean access_)

#### TDatabasePermissions

    public TDatabasePermissions​(TDatabasePermissions other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDatabasePermissions deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDatabasePermissions,​TDatabasePermissions._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDatabasePermissions,​TDatabasePermissions._Fields>`

#### isCreate_

    public boolean isCreate_()

#### setCreate_

    public TDatabasePermissions setCreate_​(boolean create_)

#### unsetCreate_

    public void unsetCreate_()

#### isSetCreate_

    public boolean isSetCreate_()

Returns true if field create_ is set (has been assigned a value) and false otherwise

#### setCreate_IsSet

    public void setCreate_IsSet​(boolean value)

#### isDelete_

    public boolean isDelete_()

#### setDelete_

    public TDatabasePermissions setDelete_​(boolean delete_)

#### unsetDelete_

    public void unsetDelete_()

#### isSetDelete_

    public boolean isSetDelete_()

Returns true if field delete_ is set (has been assigned a value) and false otherwise

#### setDelete_IsSet

    public void setDelete_IsSet​(boolean value)

#### isView_sql_editor_

    public boolean isView_sql_editor_()

#### setView_sql_editor_

    public TDatabasePermissions setView_sql_editor_​(boolean view_sql_editor_)

#### unsetView_sql_editor_

    public void unsetView_sql_editor_()

#### isSetView_sql_editor_

    public boolean isSetView_sql_editor_()

Returns true if field view_sql_editor_ is set (has been assigned a value) and false otherwise

#### setView_sql_editor_IsSet

    public void setView_sql_editor_IsSet​(boolean value)

#### isAccess_

    public boolean isAccess_()

#### setAccess_

    public TDatabasePermissions setAccess_​(boolean access_)

#### unsetAccess_

    public void unsetAccess_()

#### isSetAccess_

    public boolean isSetAccess_()

Returns true if field access_ is set (has been assigned a value) and false otherwise

#### setAccess_IsSet

    public void setAccess_IsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDatabasePermissions._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDatabasePermissions,​TDatabasePermissions._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDatabasePermissions._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDatabasePermissions,​TDatabasePermissions._Fields>`

#### isSet

    public boolean isSet​(TDatabasePermissions._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDatabasePermissions,​TDatabasePermissions._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDatabasePermissions that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDatabasePermissions other)

Specified by:
  `compareTo` in interface `Comparable<TDatabasePermissions>`

#### fieldForId

    public TDatabasePermissions._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDatabasePermissions,​TDatabasePermissions._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`